Class | Compass::Commands::ProjectBase
In: | lib/compass/commands/project_base.rb
Parent: | Base

### Methods

add_project_configuration assert_project_directory_exists! configure! execute new project_css_subdirectory project_directory project_images_subdirectory project_src_subdirectory projectize

### Attributes

options | [RW] |
project_directory | [RW] |
project_name | [RW] |

### Public Class methods

new(working_path, options = {})

### Public Instance methods

execute()

### Protected Instance methods

add_project_configuration()
assert_project_directory_exists!()
configure!()
project_css_subdirectory()
project_directory()
project_images_subdirectory()
project_src_subdirectory()
projectize(path)

[Validate]